<template>

        <aside id="layout-menu" class="layout-menu menu-vertical menu bg-menu-theme">
          <div class="app-brand demo">
            <a href="#" class="app-brand-link" style="text-decoration: none;">
              <span class="app-brand-logo demo">

                <img src="/img/logo_circle.png" alt="" style="width: 35px;">

              </span>
              <span class="app-brand-text fw-bolder ms-2">SirigreenFarm</span>
            </a>

            <a href="javascript:void(0);" class="layout-menu-toggle menu-link text-large ms-auto d-block d-xl-none">
              <i class="bx bx-chevron-left bx-sm align-middle"></i>
            </a>
          </div>

          <div class="menu-inner-shadow"></div>

          <ul class="menu-inner py-1">
            <!-- Dashboard -->
            <li class="menu-item">
                <router-link to="/dashboard" class="menu-link" style="text-decoration: none;">
                    <i class="menu-icon tf-icons bx bx-home-circle"></i>
                    <div data-i18n="Analytics">Dashboard</div>
                </router-link>
            </li>

            <li class="menu-item" v-if="this.global_role_user == 1">
                <router-link to="/offer/price" class="menu-link" style="text-decoration: none;" >
                    <i class="menu-icon tf-icons bx bx-crown"></i>
                    <div data-i18n="Boxicons">คำร้องใบเสนอราคา</div>
                </router-link>
            </li>

            <li class="menu-header small text-uppercase" v-if="this.global_role_user == 1">
                <!-- <i class="fa-solid fa-bag-shopping"></i> -->
                <i class="menu-icon tf-icons bx bx-cart-alt"></i>
                <span class="menu-header-text">Product</span>
            </li>
            <li class="menu-item" v-if="this.global_role_user == 1">
                <a href="javascript:void(0);" class="menu-link menu-toggle" style="text-decoration: none;" @click="menu_product = !menu_product">
                    <i class="menu-icon tf-icons bx bx-cart"></i>
                    <div data-i18n="Account Settings">สินค้าหน้าเว็ป</div>
                </a>



                <transition
                name="expand"
                @enter="enter"
                @after-enter="afterEnter"
                @leave="leave">

                <ul class="" v-if="menu_product">


                    <li v-for="type_product in list_type_product" :key="type_product.id" class="menu-item">
                        <router-link :to="'/product/'+type_product.id" class="menu-link" style="text-decoration: none;" >
                            <div data-i18n="1">{{type_product.name_th}}</div>
                        </router-link>
                    </li>

                </ul>
                </transition>


            </li>


            <li class="menu-header small text-uppercase" v-if="this.global_role_user == 1 || this.global_role_user == 2">
                <!-- <i class="fa-solid fa-bag-shopping"></i> -->
                <i class="menu-icon tf-icons bx bx-street-view"></i>
                <span class="menu-header-text">โปรแกรม</span>
            </li>

            <li class="menu-item" v-if="this.global_role_user == 1 || this.global_role_user == 2">
                <a href="hr/home" class="menu-link" style="text-decoration: none;background-color: darkblue;color: white;">
                    <i class="menu-icon tf-icons bx bx-user"></i>
                    <div data-i18n="Boxicons">Hr</div>
                </a>
            </li>
            <li class="menu-item" v-if="this.global_role_user == 1 || this.global_role_user == 2">
                <a href="icons-boxicons.html" class="menu-link" style="text-decoration: none;">
                    <i class="menu-icon tf-icons bx bx-dollar-circle"></i>
                    <div data-i18n="Boxicons">งานขาย</div>
                </a>
            </li>
            <li class="menu-item" v-if="this.global_role_user == 1 || this.global_role_user == 2">
                <a href="icons-boxicons.html" class="menu-link" style="text-decoration: none;">
                    <i class="menu-icon tf-icons bx bx-home-alt"></i>
                    <div data-i18n="Boxicons">ตำแหน่ง</div>
                </a>
            </li>


            <li class="menu-header small text-uppercase" v-if="this.global_role_user == 1">
                <i class="fa-solid fa-gear me-2"></i>
                <span class="menu-header-text">Settings</span>
            </li>

            <i class='bx bx-cart-add' ></i>

            <li class="menu-item" style="text-decoration: none;">
              <a href="icons-boxicons.html" class="menu-link" v-if="this.global_role_user == 1">
                <i class="fa-solid fa-users me-3"></i>
                <div data-i18n="Boxicons">ผู้ใช้งานระบบ</div>
            </a>
            </li>


          </ul>



        </aside>



            <!-- <li class="menu-item">
                <a href="#" class="menu-link">
                    <i class="menu-icon tf-icons bx bx-crown"></i>
                    <div data-i18n="Boxicons">คำร้องใบเสนอราคา</div>
                </a>
            </li>

<router-link to="/">Go to About</router-link> <br>
<router-link to="/user">Go to User</router-link>
            <router-link to="/user">
                คำร้องใบเสนอราคา
            </router-link> -->



</template>

<script>

    let user_id = $('#user_id').val();

export default {


    data(){
        return{
                menu_product: false,
                user_id: user_id,
                list_type_product: [],
        }
    },
    computed:{

    },
    methods: {

        getTypeProduct(){
            axios.get('/api/typeproduct',{
            }).then(response =>{
                // console.log(response.data);
                this.list_type_product = response.data;
            }).catch(err =>{
                console.log(err);
            })
        },

        enter(el) {
            // set the element to his natural hight
            el.style.height = 'auto';
            /*
            get the calculated height.
            getComputedStyle returns an object containing all the CSS properties
            of the element after all active styles have been loaded and the basic
            calculations have been performed.
            We need the height after all basic calculations have been performed,
            then the height of each element here is dynamically,
            based on the number of items in the sublist.
            */
            const height = getComputedStyle(el).height;
            // set the height to zero for the opening animation
            el.style.height = 0;
            /*
            Force the repaint to make sure the animation is triggered correctly,
            then you can fire the method getComputedStyle again.
            This is not necessary, but sometimes the animation may not start depending on the case.
            */
            getComputedStyle(el);
            /*
            Set the height from the element to the calculated height.
            With setTimeout you make sure the browser has finished the painting
            after setting the height to zero.
            */
            setTimeout(() => {
            el.style.height = height;
            });
        },
        afterEnter(el) {
            el.style.height = 'auto';
        },
        leave(el) {
            /*
            Same as with the enter method, but only the other way around.
            */
            el.style.height = getComputedStyle(el).height;
            getComputedStyle(el);
            setTimeout(() => {
            el.style.height = 0;
            });
        }
    },
    mounted() {
        this.globalAddToken();
        this.getTypeProduct();
    },

    created: function(){

        var currentUrl = window.location.pathname;

        console.log(currentUrl);


        $(document).ready(function () {

        });


    }
}
</script>
<style>
 .router-link-active{
    background: #afffbb;
 }
.v-enter-active,
.v-leave-active {
  transition: opacity 0.5s ease;
}

.v-enter-from,
.v-leave-to {
  opacity: 0;
}
  .expand-enter-active, .expand-leave-active {
    transition: height .5s ease-in-out;
    overflow: hidden;
  }
</style>
